@font-face {
  font-family: Pure-ThinDuranGo;
  src: url(../fonts/Pure-ThinDuranGo.ttf);
}

.inner-page {
  padding: 40px 10px;
}

ol.organizational-chart,
ol.organizational-chart ol,
ol.organizational-chart li,
ol.organizational-chart li > div {
  position: relative;
}

ol.organizational-chart,
ol.organizational-chart ol {
  list-style: none;
  margin: 0;
  padding: 0;
}

ol.organizational-chart {
  margin-top: 2em;
  text-align: center;
}

ol.organizational-chart ol {
  padding-top: 1em;
}

ol.organizational-chart ol:before,
ol.organizational-chart ol:after,
ol.organizational-chart li:before,
ol.organizational-chart li:after,
ol.organizational-chart > li > div:before,
ol.organizational-chart > li > div:after {
  background-color: rgba(0, 0, 0, 0.7);
  content: "";
  position: absolute;
}

ol.organizational-chart ol > li {
  padding: 1em 0 0 1em;
}

ol.organizational-chart > li ol:after {
  height: 3px;
  left: 3px;
  top: 1em;
  width: 50%;
}

ol.organizational-chart > li ol > li:not(:last-of-type):before {
  height: 3px;
  left: 0;
  top: 2em;
  width: 2em;
}

ol.organizational-chart > li ol > li:not(:last-of-type):after {
  height: 100%;
  left: 0;
  top: 0;
  width: 3px;
}

ol.organizational-chart > li ol > li:last-of-type:before {
  height: 3px;
  left: 0;
  top: 2em;
  width: 2em;
}

ol.organizational-chart > li ol > li:last-of-type:after {
  height: 2em;
  left: 0;
  top: 0;
  width: 3px;
}

ol.organizational-chart li > div {
  background-color: #fff;
  border-radius: 3px;
  min-height: 2em;
  padding: 0.15em;
}

/*** PRIMARY ***/

ol.organizational-chart > li > div {
  display: flex;
  justify-content: center;
  align-items: center;
  border-top: 3.5px solid rgba(84, 94, 114, 1);
  border-bottom: 3.5px solid rgba(100, 114, 135, 1);
  padding: 15px 20px;
  margin-right: 0.8em;
  color: #fff;
  background: linear-gradient(
    180deg,
    rgba(100, 114, 135, 1) 50%,
    rgba(84, 94, 114, 1) 100%
  );
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
  backdrop-filter: blur(10px);
  -webkit-backdrop-filter: blur(10px);
  z-index: 3;
}

.division_container_text {
  margin: 0 !important;
  font-size: 1.2rem !important;
  font-family: "Pure-ThinDuranGo", sans-serif !important;
}

ol.organizational-chart > li > div:before {
  bottom: 2em;
  height: 3px;
  right: -1em;
  width: 1em;
}

ol.organizational-chart > li > div:first-of-type:after {
  top: 1.8em;
  height: 3.5em;
  right: -1em;
  width: 3px;
}

ol.organizational-chart > li > div + div {
  margin-top: 1em;
}

ol.organizational-chart > li > ol:after {
  left: 0;
  width: 100%;
}

ol.organizational-chart > li > ol > li > div {
  display: flex;
  align-items: center;
  width: 190px;
  border-top: 3.5px solid rgba(153, 155, 156, 1);
  border-bottom: 4px solid rgba(132, 145, 148, 1);

  padding: 15px 20px;
  color: #fff;
  background: linear-gradient(
    180deg,
    rgba(132, 145, 148, 1) 50%,
    rgba(153, 155, 156, 1) 100%
  );
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
  backdrop-filter: blur(10px);
  /* For modern browsers */
  -webkit-backdrop-filter: blur(10px);
  /* For Safari */
}

@media only screen and (min-width: 64em) {
  ol.organizational-chart {
    margin-left: -1em;
    margin-right: -1em;
  }

  /* PRIMARY */
  ol.organizational-chart > li > div {
    display: inline-block;
    float: none;
    margin: 0 1em 1em 1em;
    vertical-align: bottom;
  }

  ol.organizational-chart > li > ol > li {
    display: flex;
    justify-content: center;
  }

  ol.organizational-chart > li > div:only-of-type {
    margin-bottom: 2.5em;
    width: calc((100% / 1) - 2em - 4px);
  }

  ol.organizational-chart > li > div:first-of-type:nth-last-of-type(2),
  ol.organizational-chart > li > div:first-of-type:nth-last-of-type(2) ~ div {
    width: calc((100% / 2) - 2em - 4px);
  }

  ol.organizational-chart > li > div:first-of-type:nth-last-of-type(3),
  ol.organizational-chart > li > div:first-of-type:nth-last-of-type(3) ~ div {
    width: calc((100% / 3) - 2em - 4px);
  }

  ol.organizational-chart > li > div:first-of-type:nth-last-of-type(4),
  ol.organizational-chart > li > div:first-of-type:nth-last-of-type(4) ~ div {
    width: calc((100% / 4) - 2em - 4px);
  }

  ol.organizational-chart > li > div:first-of-type:nth-last-of-type(5),
  ol.organizational-chart > li > div:first-of-type:nth-last-of-type(5) ~ div {
    width: calc((100% / 5) - 2em - 4px);
  }

  ol.organizational-chart > li > div:before,
  ol.organizational-chart > li > div:after {
    bottom: -3.6em !important;
    top: inherit !important;
  }

  ol.organizational-chart > li > div:before {
    height: 3.5em !important;
    left: 50% !important;
    width: 3px !important;
  }

  ol.organizational-chart > li > div:only-of-type:after {
    display: none;
  }

  ol.organizational-chart > li > div:first-of-type:not(:only-of-type):after,
  ol.organizational-chart > li > div:last-of-type:not(:only-of-type):after {
    bottom: -1em;
    height: 3px;
    width: calc(50% + 1em + 3px);
  }

  ol.organizational-chart > li > div:first-of-type:not(:only-of-type):after {
    left: calc(50% + 3px);
  }

  ol.organizational-chart > li > div:last-of-type:not(:only-of-type):after {
    left: calc(-1em - 3px);
  }

  ol.organizational-chart > li > div + div:not(:last-of-type):after {
    height: 3px;
    left: -2em;
    width: calc(100% + 4em);
  }

  /* SECONDARY */
  ol.organizational-chart > li > ol {
    display: flex;
    flex-wrap: nowrap;
  }

  ol.organizational-chart > li > ol > li:before {
    height: 4.3em !important;
    left: 50% !important;
    top: 0em !important;
    width: 3px !important;
  }

  ol.organizational-chart > li > ol > li > div {
    margin-top: 2em;
  }

  ol.organizational-chart > li > ol:after {
    display: none;
  }

  ol.organizational-chart > li > ol > li {
    flex-grow: 1;
    padding-left: 1em;
    padding-right: 1em;
    padding-top: 1em;
  }

  ol.organizational-chart > li > ol > li:only-of-type {
    padding-top: 0;
  }

  ol.organizational-chart > li > ol > li:only-of-type:before,
  ol.organizational-chart > li > ol > li:only-of-type:after {
    display: none;
  }

  ol.organizational-chart > li > ol > li:first-of-type:not(:only-of-type):after,
  ol.organizational-chart > li > ol > li:last-of-type:not(:only-of-type):after {
    height: 3px;
    top: 0;
    width: 50%;
  }

  ol.organizational-chart
    > li
    > ol
    > li:first-of-type:not(:only-of-type):after {
    left: 50%;
  }

  ol.organizational-chart > li > ol > li:last-of-type:not(:only-of-type):after {
    left: 0;
  }

  ol.organizational-chart > li > ol > li + li:not(:last-of-type):after {
    height: 3px;
    left: 0;
    top: 0;
    width: 100%;
  }
  ol.organizational-chart
    > li.profile-chart
    > ol
    > li:first-of-type:not(:only-of-type):after {
    left: unset;
    width: 100%;
  }

  ol.organizational-chart > li.profile-chart > ol.first-chart:before {
    height: 9.3em !important;
    top: 1em !important;
    width: 3px !important;
  }
  ol.organizational-chart > li.profile-chart > ol.second-chart:before {
    height: 6.3em !important;
    top: -5.2em !important;
    width: 3px !important;
  }
  .first-chart,
  .second-chart {
    margin-bottom: 50px !important;
  }
}

.main_division_chart {
  max-width: 450px;
}

@media screen and (max-width: 1024px) {
  .charts_container {
    margin: 50px 0;
  }

  .main_division_chart {
    max-width: unset;
  }

  ol.organizational-chart > li > ol > li > div {
    width: unset;
  }
}

@media screen and (max-width: 680px) {
  ol.organizational-chart > li > div {
    min-height: 7em;
  }

  ol.organizational-chart > li > div:before {
    top: 2em;
  }

  ol.organizational-chart > li > div:first-of-type:after {
    top: 2em;
    height: 6em;
  }
}
